com.pivotal.gemfirexd.internal.client.net

## Class NetIndoubtTransaction

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.net.NetIndoubtTransaction

    public class NetIndoubtTransaction
    extends Object

Title: dnc Project

Description:

### Constructor Summary

Constructors
`protected` `NetIndoubtTransaction(Xid xid, byte[] uowid, byte[] cSyncLog, byte[] pSyncLog, String ipaddr, int port)`

### Method Summary

Methods
`protected byte[]` `getCSyncLog()`
`protected String` `getIpAddr()`
`protected int` `getPort()`
`protected byte[]` `getPSyncLog()`
`protected byte[]` `getUOWID()`
`protected Xid` `getXid()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NetIndoubtTransaction

    protected NetIndoubtTransaction(Xid xid,
                         byte[] uowid,
                         byte[] cSyncLog,
                         byte[] pSyncLog,
                         String ipaddr,
                         int port)

### Method Detail

#### getXid

    protected Xid getXid()

#### getUOWID

    protected byte[] getUOWID()

#### getCSyncLog

    protected byte[] getCSyncLog()

#### getPSyncLog

    protected byte[] getPSyncLog()

#### getIpAddr

    protected String getIpAddr()

#### getPort

    protected int getPort()